ESX
cancel
Showing results for 
Search instead for 
Did you mean: 

vSphere 4.0 HP UPS Agents compatible ?

Jan Pauler
Advisor

vSphere 4.0 HP UPS Agents compatible ?

Did anybody test any HP UPS Agents with vSphere. I have ESX3.5 running with agents version 4.5. But I wonder which agents can we use after the upgrade - version 5.0 or is still version 4.5 working ?

Thanks for any help.

Jan
9 REPLIES
Jan Pauler
Advisor

Re: vSphere 4.0 HP UPS Agents compatible ?

So I tested both versions 4.5 and 5.0. Both installed successfully and both connected and reported status to HP UPS Management card.

I kept the version 5.0 installed and will further observe if any weird issues arise.

Jan
Kumdist
Valued Contributor

Re: vSphere 4.0 HP UPS Agents compatible ?

Jan, I am new to ESX 4.0
Could you point me the installation guide and the commands involved?

Many thanks
Jan Pauler
Advisor

Re: vSphere 4.0 HP UPS Agents compatible ?

Kumdist,

inside the original packages from HP (HPUPSPPALinux-4.5.tgz or HPRA-5.0-Build5-Linux.tgz) is a ReadMe file, which I followed. There you will find all the instructions you need.

Regards,

Jan
Kumdist
Valued Contributor

Re: vSphere 4.0 HP UPS Agents compatible ?

Thanks.. I now have an issue. I installed HPPM on my ESX 4.0 server. Upon reboot, I can access the hppm management home page.
However, the Vmware web console doesnt display. I confirmed the webAccess service is running but the webaccess page doenst dispaly. Even connect via the VI client cannot.
Have you come across this??
Jan Pauler
Advisor

Re: vSphere 4.0 HP UPS Agents compatible ?

Dear Kumdist,

I use HP UPS Management Module (HPMM)agents. I do not use HP Power Manager (HPPM) for VSphere, so there I cannot help with why that happened.

But I also checked WebAccess on our VSphere hosts and can confirm that I get "503 - Service Unavailable" on all our hosts after upgrade from ESX3.5 to Vsphere 4.0

I will further investigate why this happened, but fortunately I do not use WebAccess at all, just VCenter client, so for us it is nothing critical.

Regards,

Jan
Jan Pauler
Advisor

Re: vSphere 4.0 HP UPS Agents compatible ?

Dear Kumdist,

after a short research I found out a solution for our WebAccess not working. I do not know if it also applies to your environment, but you can have a look and decide for yourself.

http://communities.vmware.com/thread/211235

Regards,

Jan
Uwe Zessin
Honored Contributor

Re: vSphere 4.0 HP UPS Agents compatible ?

Web Access is disabled by default in ESX 4:

http://kb.vmware.com/kb/1011921
.
NXS
Valued Contributor

Re: vSphere 4.0 HP UPS Agents compatible ?

where did you find the x64 bit version for linux ?? , because I only have a i386 an ia64 ??

K
Jan Pauler
Advisor

Re: vSphere 4.0 HP UPS Agents compatible ?

@NXS: I used it on vSphere 4.0, which is also x86, thus I used the 32bit version of the agents. I do not know, whether HP released also x64 version for Linux. Alsoit is possible that the x86 version is working on x64 Linux OS. Did you try to install it?

Regards,

Jan